Package org.eclipse.cdt.core.index

# Interface IIndexMacroContainer

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `IIndexBinding`

public interface IIndexMacroContainer extends IIndexBinding
Represents a binding for all macros with the same name. When you try to adapt a macro binding in an index you'll get the container as a result.

Since:
  5.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.index.IIndexBinding

`EMPTY_INDEX_BINDING_ARRAY`

## Method Summary

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getScope`

### Methods inherited from interface org.eclipse.cdt.core.index.IIndexBinding

`getLocalToFile, getOwner, getQualifiedName, isFileLocal`